function LyricsInfoGet(html)
    --記事部分を取り出す
    is1, ie1 = html:find("<div id=\"lyrics\">",1)
    --無いときは抜ける
    if is1 == nil then
        return
    end
    is2, ie2 = html:find("<div id=\"atwiki-page-tags\" class=\"atwiki-page-tags\">", ie1+1, true)
    --記事から歌詞を取り出す
    lyrics = html:sub(ie1+1, is2-1)
    --HTMLテキストのdiv,改行,ルビを消す
    --\n\n</div>は改行とする
    lyrics = lyrics:gsub("\n\n</div>", "<br />")
    lyrics = lyrics:gsub("<div>", "")
    lyrics = lyrics:gsub("</div>", "")
    lyrics = lyrics:gsub("\n", "")
    lyrics = lyrics:gsub("<rt>.-</rt>", "")
    lyrics = lyrics:gsub("<rp>.-</rp>", "")
    lyrics = lyrics:gsub("<rb>", "")
    lyrics = lyrics:gsub("</rb>", "")
    lyrics = lyrics:gsub("<ruby>", "")
    lyrics = lyrics:gsub("</ruby>", "")
    lyrics = lyrics:gsub("<span.->", "")
    lyrics = lyrics:gsub("</span>", "")
    lyrics = lyrics:gsub("<!\-\-.-\-\->", "")
    lyrics = lyrics:gsub("<a .->", "")
    lyrics = lyrics:gsub("</a>", "")
    --<br />を改行にする
    lyrics = lyrics:gsub("<br />", "\r\n")
    --行頭と行末の改行を削除
    while lyrics:sub(1,2) == "\r\n" do lyrics = lyrics:sub(3) end
    while lyrics:sub(-2) == "\r\n" do lyrics = lyrics:sub(1,-3) end
    --行頭と行末の空白を削除
    while lyrics:sub(1,1) == " " do lyrics = lyrics:sub(2) end
    while lyrics:sub(-1) == " " do lyrics = lyrics:sub(1,-2) end
    --特殊文字
    lyrics = lyrics:gsub("&lt;", "<")
    lyrics = lyrics:gsub("&gt;", ">")
    lyrics = lyrics:gsub("&nbsp;", " ")
    lyrics = lyrics:gsub("&quot;", "\"")
    lyrics = lyrics:gsub("&amp;", "&")

    --タイトルを取り出す
    title = html:match("<span class=\"pagename\">(.-)</span>")
    if (title == nil) then title="" end
    title = title:gsub("<a .->","")
    title = title:gsub("</a>","")
    title = title:gsub("^%d%d ", "")
    --特殊文字
    title = title:gsub("&lt;", "<")
    title = title:gsub("&gt;", ">")
    title = title:gsub("&nbsp;", " ")
    title = title:gsub("&quot;", "\"")
    title = title:gsub("&amp;", "&")

    --アーティスト名を取り出す
    artist = html:match("\|circle=(.-)</a>")
    artist = artist:gsub("<a .->","")
    --特殊文字
    artist = artist:gsub("&lt;", "<")
    artist = artist:gsub("&gt;", ">")
    artist = artist:gsub("&nbsp;", " ")
    artist = artist:gsub("&quot;", "\"")
    artist = artist:gsub("&amp;", "&")

    return "LYRICS="..lyrics, "TITLE="..title , "ARTIST="..artist
end
